"use strict";

module.exports = {
	/* Multi-purpose controls */
	Icon: require("./controls/icon/index.jsx"),
	// Text: require("./controls/text.jsx"),

	// /* Pane layout */
	// PaneLayout: require("./controls/pane-layout/layout.jsx"),
	// PaneRow: require("./controls/pane-layout/row.jsx"),
	// PaneTabSet: require("./controls/pane-layout/tabset.jsx"),
	// PaneTab: require("./controls/pane-layout/tab.jsx"),

	// /* Menu */
	Menu: require("./controls/menu/index.jsx"),
	MenuBar: require("./controls/menu-bar/index.jsx"),
	MenuItem: require("./controls/menu-item/index.jsx"),
	// MenuDivider: require("./controls/menu/divider.jsx"),

	// /* List */
	List: require("./controls/list/index.jsx"),
	ListItem: require("./controls/list-item/index.jsx"), // NOTE: This will also be used for other types of lists (eg. dropdowns)

	// /* Ribbon */
	// Ribbon: require("./controls/ribbon/ribbon.jsx"),
	// RibbonBox: require("./controls/ribbon/box.jsx"),
	// // RibbonItem: require("./ribbon/item.jsx"), // Used internally, but not exported (yet)
	// RibbonButton: require("./controls/ribbon/button.jsx"),
	// RibbonButtonSet: require("./controls/ribbon/button-set.jsx"),
	// RibbonListBox: require("./controls/ribbon/list-box.jsx"),
	// RibbonListButton: require("./controls/ribbon/list-button.jsx"),
	// RibbonProgressBar: require("./controls/ribbon/progress-bar.jsx"),
	// RibbonProgressButton: require("./controls/ribbon/progress-button.jsx"),
	// RibbonStatusIndicator: require("./controls/ribbon/status-indicator.jsx"),
	// RibbonText: require("./controls/ribbon/text.jsx")

	SetTheme: require("./util/themeable/set-theme"),
	themes: {
		dark: {
			getIcon: (name) => `/icons/${name}.svg`,
			css: require("./themes/dark.css")
		}
	}
};
