"use strict";

const React = require("react");

const defaultStyle = require("./style.css");
const useTheme = require("../../util/themeable");

module.exports = function Ribbon({ children }) {
	let { withTheme } = useTheme({ control: "ribbon", defaultStyle });

	return (
		<div className={withTheme("ribbon")}>
			{children}
		</div>
	);
};
