"use strict";

const React = require("react");

const ThemeContext = require("./context");

module.exports = function SetTheme({ theme, children }) {
	return (
		<ThemeContext.Provider value={theme}>
			{children}
		</ThemeContext.Provider>
	);
};
